package cli.tag;

import cli.Subcommand;

import java.util.HashMap;
import java.util.function.Function;

public class TagCommands extends Subcommand {

	final private CustomTagsCliAdapter customTagsCliAdapter;


	public TagCommands(CustomTagsCliAdapter customTagsCliAdapter) {
		this.customTagsCliAdapter = customTagsCliAdapter;
		commands.put("add", this::addCustomTag);
	}

	@Override
	public String getSubcommand() {
		return "tag";
	}

	@Override
	public String getUsage() {
		return "Usage: " + System.lineSeparator()+
				getSubcommand() + " add tagName tagRegexExpression";
	}

	private String addCustomTag(String[] args) {
		customTagsCliAdapter.addCustomTagMatcher(args[1], args[2]);
		return "Added the new Tag matcher";
	}
}
